org.apache.felix.ipojo.manipulator.metadata.annotation

## Class FieldMetadataCollector

- java.lang.Object
- - org.objectweb.asm.FieldVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.FieldMetadataCollector

    public class FieldMetadataCollector
    extends org.objectweb.asm.FieldVisitor

Author:
  Felix Project Team

### Field Summary

### Fields inherited from class org.objectweb.asm.FieldVisitor

`api, fv`

### Constructor Summary

Constructors
Constructor and Description
`FieldMetadataCollector(ComponentWorkbench workbench, org.objectweb.asm.tree.FieldNode node)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.objectweb.asm.AnnotationVisitor` `visitAnnotation(String desc, boolean visible)` Visit annotations on the current field.

### Methods inherited from class org.objectweb.asm.FieldVisitor

`getDelegate, visitAttribute, visitEnd, visitTypeAnnotation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldMetadataCollector

    public FieldMetadataCollector(ComponentWorkbench workbench,
                                  org.objectweb.asm.tree.FieldNode node)

### Method Detail

#### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(String desc,
                                                               boolean visible)

Visit annotations on the current field.

Overrides:
  `visitAnnotation` in class `org.objectweb.asm.FieldVisitor`
Parameters:
  `desc` - : annotation name
  `visible` - : is the annotation a runtime annotation.
Returns:
  the annotation visitor visiting the annotation
See Also:
  `FieldVisitor.visitAnnotation(java.lang.String, boolean)`